
####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was Config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# provide meta-data
set(tagparser_varname "TAG_PARSER")
set(tagparser_static_varname "TAG_PARSER")
set(TAG_PARSER_DISPLAY_NAME "Tag Parser")
set(TAG_PARSER_AUTHOR "Martchus")
set(TAG_PARSER_VERSION "8.2.0")
set(TAG_PARSER_VERSION_MAJOR "8")
set(TAG_PARSER_VERSION_MINOR "2")
set(TAG_PARSER_VERSION_PATCH "0")
set(TAG_PARSER_GIT_REV_COUNT "")
set(TAG_PARSER_GIT_LAST_COMMIT_ID "")
set(TAG_PARSER_URL "https://github.com/Martchus/tagparser")
set(TAG_PARSER_DESCRIPTION "C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags")
set(TAG_PARSER_LICENSE "GPL-2")

# define general config
set(TAG_PARSER_IS_HEADER_ONLY NO)
set(TAG_PARSER_HAS_SHARED_LIB ON)
set(TAG_PARSER_HAS_STATIC_LIB ON)
set(TAG_PARSER_INCLUDE_DIRS "${PACKAGE_PREFIX_DIR}/include")
set(TAG_PARSER_BIN_DIR "${PACKAGE_PREFIX_DIR}/bin")
set(TAG_PARSER_LIB_DIR "${PACKAGE_PREFIX_DIR}/lib")
set(TAG_PARSER_MODULE_DIRS "${PACKAGE_PREFIX_DIR}/share/tagparser/cmake/modules")
set(TAG_PARSER_CONFIG_DIRS "${PACKAGE_PREFIX_DIR}/share/tagparser/cmake")
set(TAG_PARSER_PRIVATE_QT_MODULES "")
set(TAG_PARSER_PRIVATE_KF_MODULES "")
set(TAG_PARSER_PUBLIC_QT_MODULES "")
set(TAG_PARSER_PUBLIC_KF_MODULES "")
set(TAG_PARSER_HAS_QT_TRANSLATION_FILES )
set(TAG_PARSER_QT_RESOURCES )

# include files for shared/static specific configuration
set(TAG_PARSER_HAS_SHARED_LIB NO)
set(TAG_PARSER_HAS_STATIC_LIB NO)
file(GLOB TAG_PARSER_SPECIFIC_CONFIG_FILES
    LIST_DIRECTORIES OFF
    "${CMAKE_CURRENT_LIST_DIR}/tagparser?*Config.cmake"
)
foreach(SPECIFIC_CONFIG_FILE IN LISTS TAG_PARSER_SPECIFIC_CONFIG_FILES)
    include("${SPECIFIC_CONFIG_FILE}")
endforeach()
unset(SPECIFIC_CONFIG_FILE)

# set default target: prefer shared lib over static lib
if(TAG_PARSER_HAS_SHARED_LIB)
    set(TAG_PARSER_LIB "tagparser")
else()
    set(TAG_PARSER_LIB "tagparser_static")
endif()

# define macro to ease use of library in projects following conventions of c++utilities' build script
macro(use_TAG_PARSER)
    # make CMake modules of the project available
    list(APPEND CMAKE_MODULE_PATH ${TAG_PARSER_MODULE_DIRS})
    # link against library (also "link" against header-only libs to get compile defs and interface link libs)
    link_directories(${TAG_PARSER_LIB_DIR})
    include(3rdParty)
    if(NOT ARGV0)
        set(TAG_PARSER_LINKAGE AUTO_LINKAGE)
    else()
        set(TAG_PARSER_LINKAGE "${ARG0}")
    endif()
    link_against_library(TAG_PARSER "${TAG_PARSER_LINKAGE}" REQUIRED)
    # add required Qt and KF modules
    list(APPEND IMPORTED_QT_MODULES
        ${TAG_PARSER_PUBLIC_QT_MODULES}
        ${TAG_PARSER_PRIVATE_QT_MODULES}
    )
    list(APPEND IMPORTED_KF_MODULES
        ${TAG_PARSER_PUBLIC_KF_MODULES}
        ${TAG_PARSER_PRIVATE_KF_MODULES}
    )
    # add required translations to APP_SPECIFIC_QT_TRANSLATION_FILES_ARRAY
    if(TAG_PARSER_HAS_QT_TRANSLATION_FILES)
        list(APPEND APP_SPECIFIC_QT_TRANSLATION_FILES tagparser)
    endif()
endmacro()
